=== debian/control ===
Source: libime
Section: libs
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.7),
 debhelper-compat (= 12),
 extra-cmake-modules,
 libboost-dev (>= 1.61),
 libdouble-conversion-dev,
 libfcitx5utils-dev (>= 0.0~git20191114~),
 python3:any,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/libime
Vcs-Git: https://salsa.debian.org/input-method-team/libime.git
Vcs-Browser: https://salsa.debian.org/input-method-team/libime

Package: libime-bin
Architecture: linux-any
Section: utils
Depends:
 libimecore0 (= ${binary:Version}),
 libimepinyin0 (= ${binary:Version}),
 libimetable0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generic Input Method Implementation (tools)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides tools provided by libime.

Package: libime-data
Architecture: all
Multi-Arch: foreign
Section: utils
Depends:
 ${misc:Depends},
Description: Generic Input Method Implementation library (data files)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides architecture-independent data files.

Package: libimecore-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 libimecore0 (= ${binary:Version}),
 ${misc:Depends},
Description: Generic Input Method Implementation (core dev files)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides development files for core library.

Package: libimecore0
Architecture: linux-any
Multi-Arch: same
Depends:
 libime-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generic Input Method Implementation (core library)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides its core library.

Package: libimepinyin-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 libimepinyin0 (= ${binary:Version}),
 ${misc:Depends},
Description: Generic Input Method Implementation (pinyin dev files)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides development files for pinyin library.

Package: libimepinyin0
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generic Input Method Implementation (pinyin library)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides its pinyin library.

Package: libimetable-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 libimetable0 (= ${binary:Version}),
 ${misc:Depends},
Description: Generic Input Method Implementation (table dev files)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides development files for table library.

Package: libimetable0
Architecture: linux-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generic Input Method Implementation (table library)
 Libime is a generic input method implementation library. It is mainly
 used by fcitx5, the next generation of fcitx input method framework.
 .
 This package provides its table library.
