=== debian/changelog ===
libime (0.0~git20191230.5b6e890+ds2-1) unstable; urgency=medium

  * ds: Let src:libime to provide required dictionaries.
  * debian/control:
    - Drop build-dependency on fcitx5-data.
    + Bump Standards-Version to 4.5.0.
    + Mark architecture-dependent packages as linux-any.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Feb 2020 16:37:00 -0500

libime (0.0~git20191230.5b6e890+ds1-2) unstable; urgency=high

  * debian/control: Let the core library depends on libime-data
    data package. This is needed by fcitx5-chinese-addons.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2020 17:33:53 -0500

libime (0.0~git20191230.5b6e890+ds1-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2020 20:14:32 -0800

libime (0.0~git20191129.48c56a4+ds1-1) unstable; urgency=high

  * New upstream snapshot.
  * Source-only upload to allow testing migration.
  * debian/control: Mark dev packages as M-A: same.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Dec 2019 20:50:22 -0800

libime (0.0~git20191103.442e091+ds2-1) unstable; urgency=medium

  * Initial release. (Closes: #945850)

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Nov 2019 15:58:21 -0500
