=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=s/\+ds\d*$//" \
 https://github.com/fcitx/libime HEAD debian
