=== debian/changelog ===
libime (0.0~git20200823.dff3ea6-2) unstable; urgency=medium

  * Team upload.
  * Disable testtrie on mipsx and hppa

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 27 Aug 2020 02:38:52 +0800

libime (0.0~git20200823.dff3ea6-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * as-needed LDFLAGS is not needed since bullseye
  * Changes architecture from linux-any to any
  * Refresh patches
  * Update bundled dict.utf8
  * Tests on i386 are fixed

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 11:56:39 +0800

libime (0.0~git20200626.2c85668-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Bump debhelper-compat to 13 and clean up d/rules
  * Update dict.utf8 to 20200613
  * Refresh patches
  * Add libboost-iostreams-dev to Build-Depends
  * Bump libfcitx5utils-dev to 0.0~git20200626

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jul 2020 11:44:03 +0800

libime (0.0~git20200318.a78efdf-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Ignore failing test on i386 for now
  * Bump fcitx version to 0.0~git20200323

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 03:38:39 +0800

libime (0.0~git20200310.fdce632-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Stop repacking upstream tarball.
    Move extra sources to debian directory.
  * Use cmake config from system libdouble-conversion-dev.
  * Bump libfcitx5utils-dev to 0.0~git20200311.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 00:19:32 +0800
