=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.7),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  libboost-dev (>= 1.61),
- libdouble-conversion-dev,
- libfcitx5utils-dev (>= 0.0~git20191114~),
+ libboost-iostreams-dev (>= 1.61),
+ libdouble-conversion-dev (>= 3.1.5-5~),
+ libfcitx5utils-dev (>= 0.0~git20200626),
  python3:any,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -19,7 +20,7 @@
 Vcs-Browser: https://salsa.debian.org/input-method-team/libime
 
 Package: libime-bin
-Architecture: linux-any
+Architecture: any
 Section: utils
 Depends:
  libimecore0 (= ${binary:Version}),
@@ -46,7 +47,7 @@
  This package provides architecture-independent data files.
 
 Package: libimecore-dev
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
@@ -59,7 +60,7 @@
  This package provides development files for core library.
 
 Package: libimecore0
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends:
  libime-data (= ${source:Version}),
@@ -72,7 +73,7 @@
  This package provides its core library.
 
 Package: libimepinyin-dev
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
@@ -85,7 +86,7 @@
  This package provides development files for pinyin library.
 
 Package: libimepinyin0
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
@@ -97,7 +98,7 @@
  This package provides its pinyin library.
 
 Package: libimetable-dev
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends:
@@ -110,7 +111,7 @@
  This package provides development files for table library.
 
 Package: libimetable0
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
