=== debian/changelog ===
libime (1.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 15:14:03 +0800

libime (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.5.1 (no changes)
  * Add libboost-filesystem-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jan 2021 01:25:54 +0800

libime (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fix uscan watch file syntax
  * Refresh patches

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 18:21:19 +0800

libime (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * libime-data-language-model should Breaks+Replaces libimecore0
    Closes: #974044

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 09 Nov 2020 22:36:57 +0800

libime (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Add libime-data-language-model package

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 22:26:34 +0800

libime (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bump libfcitx5utils-dev to 5.0.1
  * Fix library install patch for new version

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 00:48:37 +0800

libime (0.0~git20201029.22106dc-3) unstable; urgency=medium

  * Team upload.
  * Disable testtrie on mipsx again, still failing in new version.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Nov 2020 12:57:04 +0800

libime (0.0~git20201029.22106dc-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Use MUT for data and kenlm source.
  * Do not disable testtrie on mips* and hppa. The problem
    should be fixed with refreshed kenlm code.
  * Bump libfcitx5utils-dev to 0.0~git20201030

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 22:51:05 +0800
