=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  libboost-dev (>= 1.61),
+ libboost-filesystem-dev (>= 1.61),
  libboost-iostreams-dev (>= 1.61),
  libdouble-conversion-dev (>= 3.1.5-5~),
- libfcitx5utils-dev (>= 0.0~git20200626),
+ libfcitx5utils-dev (>= 5.0.1),
  python3:any,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/libime
 Vcs-Git: https://salsa.debian.org/input-method-team/libime.git
@@ -39,12 +40,30 @@
 Multi-Arch: foreign
 Section: utils
 Depends:
+ libime-data-language-model (<< ${source:Version}.1~),
+ libime-data-language-model (>= ${source:Version}),
  ${misc:Depends},
 Description: Generic Input Method Implementation library (data files)
  Libime is a generic input method implementation library. It is mainly
  used by fcitx5, the next generation of fcitx input method framework.
  .
  This package provides architecture-independent data files.
+
+Package: libime-data-language-model
+Architecture: any
+Multi-Arch: same
+Section: utils
+Depends:
+ ${misc:Depends},
+Breaks:
+ libimecore0 (<< 1.0.1-2),
+Replaces:
+ libimecore0 (<< 1.0.1-2),
+Description: Generic Input Method Implementation library (language model)
+ Libime is a generic input method implementation library. It is mainly
+ used by fcitx5, the next generation of fcitx input method framework.
+ .
+ This package provides architecture-dependent language models.
 
 Package: libimecore-dev
 Architecture: any
