=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

ifneq (,$(filter $(DEB_HOST_ARCH), mips64el mipsel))
override_dh_auto_test:
	dh_auto_test -- ARGS+='--exclude-regex \(testtrie\)'
endif
