=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,13 @@
 target_link_libraries(libime_tabledict LibIME::Table)
 install(TARGETS libime_tabledict DESTINATION ${CMAKE_INSTALL_BINDIR})
 add_executable(LibIME::tabledict ALIAS libime_tabledict)
+
+add_executable(libime_migrate_fcitx4_table libime_migrate_fcitx4_table.cpp)
+target_link_libraries(libime_migrate_fcitx4_table LibIME::Table Boost::iostreams Boost::filesystem)
+install(TARGETS libime_migrate_fcitx4_table DESTINATION ${CMAKE_INSTALL_BINDIR})
+add_executable(LibIME::migrate_fcitx4_table ALIAS libime_migrate_fcitx4_table)
+
+add_executable(libime_migrate_fcitx4_pinyin libime_migrate_fcitx4_pinyin.cpp)
+target_link_libraries(libime_migrate_fcitx4_pinyin LibIME::Pinyin Boost::iostreams Boost::filesystem)
+install(TARGETS libime_migrate_fcitx4_pinyin DESTINATION ${CMAKE_INSTALL_BINDIR})
+add_executable(LibIME::migrate_fcitx4_pinyin ALIAS libime_migrate_fcitx4_pinyin)
