=== src/libime/table/CMakeLists.txt ===
--- 
+++ 
@@ -17,29 +17,29 @@
     log.cpp
     )
 
+ecm_setup_version(PROJECT
+                  VARIABLE_PREFIX IMETable
+                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibIMETableConfigVersion.cmake")
+set(IMETable_SOVERSION 0)
+
 add_library(IMETable SHARED ${LIBIME_TABLE_SRCS})
 set_target_properties(IMETable
-                      PROPERTIES VERSION 0.1
-                      SOVERSION 0
-                      COMPILE_FLAGS "-fvisibility=hidden"
-                      LINK_FLAGS "-Wl,--no-undefined"
+                      PROPERTIES VERSION ${IMETable_VERSION}
+                      SOVERSION ${IMETable_SOVERSION}
                       EXPORT_NAME Table
 )
+
 target_include_directories(IMETable PUBLIC
     $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../..>
     $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
     $<INSTALL_INTERFACE:${CMAKE_INSTALL_FULL_INCLUDEDIR}/LibIME>)
 
-target_link_libraries(IMETable PUBLIC Fcitx5::Utils Boost::boost LibIME::Core)
+target_link_libraries(IMETable PUBLIC Fcitx5::Utils Boost::boost LibIME::Core PRIVATE Boost::regex)
 
 install(TARGETS IMETable EXPORT LibIMETableTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
 install(FILES ${LIBIME_TABLE_HDRS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/LibIME/libime/table")
 
 add_library(LibIME::Table ALIAS IMETable)
-
-ecm_setup_version(PROJECT
-                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibIMETableConfigVersion.cmake"
-                  SOVERSION 0)
 
 configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/LibIMETableConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/LibIMETableConfig.cmake"
