=== debian/changelog ===
libime (1.0.11-1build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:00:42 +0100

libime (1.0.11-1) unstable; urgency=medium

  * New upstream release 1.0.11.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Jan 2022 17:13:26 -0500

libime (1.0.10-1) unstable; urgency=medium

  * New upstream release 1.0.10.
  * debian/control: Require fcitx5 (>= 5.0.10).

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 13:54:38 -0500

libime (1.0.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/rules: Dynamically generate src/libime/core/kenlm symlink
    immediately before configure, instead of including it in patch.
    This circumvents some corner cases with MUT + git-buildpackage
    combination.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Nov 2021 15:24:18 -0500

libime (1.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 02:26:08 +0800

libime (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 02:29:52 +0800
