=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 %:
 	dh $@
 
+# Create kenlm symlink immediately before configure
+execute_before_dh_auto_configure:
+	rmdir src/libime/core/kenlm
+	ln -sf $(CURDIR)/kenlm $(CURDIR)/src/libime/core/kenlm
+
 ifneq (,$(filter $(DEB_HOST_ARCH), mips64el mipsel))
 override_dh_auto_test:
 	dh_auto_test -- ARGS+='--exclude-regex \(testtrie\)'
