=== debian/watch ===
version=4

opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/libime \
  refs/tags/@ANY_VERSION@ debian
opts="component=kenlm, downloadurlmangle=s|commit\/(\w+)|archive/\$1.zip|, filenamemangle=s|.+/(\w+)|kenlm-\$1.zip|" \
 https://github.com/kpu/kenlm/commit/01c49fe86714276f77be9278d00906fc994256c1 \
 /kpu/kenlm/commit/(01c49fe86714276f77be9278d00906fc994256c1) ignore
opts="component=lmsc" \
 https://download.fcitx-im.org/data/ \
 lm_sc.3gm.arpa-(\d+).tar.bz2 ignore
opts="component=dict,pgpmode=none" \
 https://download.fcitx-im.org/data/ \
 dict.utf8-(\d+).tar.xz ignore
opts="component=table" \
 https://download.fcitx-im.org/data/ \
 (table).tar.gz ignore
