=== debian/changelog ===
libime (1.0.11.1-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Mon, 07 Feb 2022 21:30:23 +0800
