=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libboost-dev (>= 1.61),
  libboost-filesystem-dev (>= 1.61),
  libboost-iostreams-dev (>= 1.61),
- libdouble-conversion-dev (>= 3.1.5-5~),
+ libdouble-conversion-dev (>= 3.1.0-3~),
  libfcitx5utils-dev (>= 5.0.11),
  python3:any,
 Standards-Version: 4.6.0
