=== debian/watch ===
version=4

opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/libime \
  refs/tags/@ANY_VERSION@ debian
opts="component=lmsc" \
 https://download.fcitx-im.org/data/ \
 lm_sc.3gm.arpa-(\d+).tar.bz2 ignore
opts="component=dict,pgpmode=none" \
 https://download.fcitx-im.org/data/ \
 dict.utf8-(\d+).tar.xz ignore
opts="component=table" \
 https://download.fcitx-im.org/data/ \
 (table).tar.gz ignore
